#! /bin/csh

#### Lines with 1 pound sign commented out to reflect updates in the copyinit.csh script

## Cleaning out older data from last execution
#cd /export/lnx159/eff3/CHGHUR/storm/web
#rm -f *cliqr*;
#rm -f *initdata*;
#rm -f *.html;
#sleep 1

setenv CLIQR    ${HOME}/klein/cliqr

cd ${CLIQR}/CHGHUR/storm

## Getting list of storms
set storms = `ls`;
mkdir -p web
echo Storms: $storms

## Putting script in correct temporary directory
cp ${CLIQR}/cliqrhtml.tcl ${CLIQR}/CHGHUR/storm/web

## Parsing data as needed in order to start web creation
perl ${CLIQR}/getinitialdataweb.pl $storms

## Web file creation scripts
tclsh ${CLIQR}/doweb.tcl $storms

echo Generating html pages...
cd ${CLIQR}/CHGHUR/storm/web
tclsh cliqrhtml.tcl $storms

## removing script from directory, don't want it on web
rm -f cliqrhtml.tcl

#cd $HOME

## Clearing old web directory, reinserting help file from the home directory
#ssh hpc@${RZDM} "rm -Rf /home/people/hpc/www/htdocs/tropical/rain/web"
#ssh hpc@${RZDM} "cd /home/people/hpc/www/htdocs/tropical/rain; mkdir web"
#scp  cliqrwebhelp.txt hpc@${RZDM}:/home/people/hpc/www/htdocs/tropical/rain/web

## Copying the newly created output to web
cd ${CLIQR}/CHGHUR/storm
scp -r web hpc@${RZDM}:/home/people/hpc/www/htdocs/tropical/rain/

# Added 5/13/2013
rm -Rf web
rm -f cliqrout.txt cliqroutuniq.txt

exit
