#! /bin/tclsh

set HOME $env(HOME)

for {set i 0} {$i < $argc} {set i [expr $i + 1]} {
  set storm [lindex $argv $i]
  set fileloc ""
  append fileloc "${HOME}/klein/cliqr/CHGHUR/storm/web/" $storm "initdata.txt"
  puts "Processing initial data for $storm..."
  set idata [open $fileloc r]
  set name [gets $idata]
  set lat [gets $idata]
  set lon [gets $idata]
  set cenpres [gets $idata]
  set outpres [gets $idata]
  set outrad [gets $idata]
  set mxwnd [gets $idata]
  set dir [gets $idata]
  set spd [gets $idata]
  close $idata
  puts "Running search script for $storm..."
  update idletasks
  set cmd "perl ${HOME}/klein/cliqr/cliqr2web.pl $lat $lon $cenpres $outpres $outrad $mxwnd $dir $spd"
  puts "$lat $lon $cenpres $outpres $outrad $mxwnd $dir $spd"
  eval exec $cmd

  puts "Removing duplicates..."
  eval exec "perl ${HOME}/klein/cliqr/rmdupstrmweb.pl"
  puts "Creating image list..."
  eval exec "perl ${HOME}/klein/cliqr/imagelistweb.pl $storm"
  eval exec "cp cliqrout.txt ${HOME}/klein/cliqr/CHGHUR/storm/web/${storm}cliqrout.txt"
}
