#!/usr/bin/perl

$GRPHGD=$ENV{'GRPHGD'};
$home=$ENV{'HOME'};

open(LIS,"cliqroutuniq.txt")||die("File cannot be opened");
@list=<LIS>;

open(OUT,">$home/klein/cliqr/CHGHUR/storm/web/${ARGV[0]}cliqrrainimgs.txt")||die("CLIQR results file cannot be opened");
print OUT $ARGV[0];
print OUT "\n";

my @strmlist={};
my ($i,$depression,$deprnum)=0;

foreach (@list)
{
  ## Reset the depression flag to zero at the beginning of every line's loop
  $depression=0;
  ## If the storm's year is 1950-present...
  if(substr($_,24,4)>1949)
  {
    ## Get name, check to see if it's a depression with the pathetic set of if-else that would
    ## be so much better if we had a newer version of perl that had the switch statement!
    $stormname=substr($_,7,9);
    $wholestormname=$stormname;
    $stormname=lc(trim($stormname));
    if($stormname eq "one")
    {
      $depression=1;
      $deprnum=1;
    }
    if($stormname eq "two")
    {
      $depression=1;
      $deprnum=2;
    }
    if($stormname eq "three")
    {
      $depression=1;
      $deprnum=3;
    }
    if($stormname eq "four")
    {
      $depression=1;
      $deprnum=4;
    }
    if($stormname eq "five")
    {
      $depression=1;
      $deprnum=5;
    }
    if($stormname eq "six")
    {
      $depression=1;
      $deprnum=6;
    }
    if($stormname eq "seven")
    {
      $depression=1;
      $deprnum=7;
    }
    if($stormname eq "eight")
    {
      $depression=1;
      $deprnum=8;
    }
    if($stormname eq "nine")
    {
      $depression=1;
      $deprnum=9;
    }
    if($stormname eq "ten")
    {
      $depression=1;
      $deprnum=10;
    }
    if($stormname eq "eleven")
    {
      $depression=1;
      $deprnum=11;
    }
    if($stormname eq "twelve")
    {
      $depression=1;
      $deprnum=12;
    }
    if($stormname eq "thirteen")
    {
      $depression=1;
      $deprnum=13;
    }
    if($stormname eq "fourteen")
    {
      $depression=1;
      $deprnum=14;
    }
    if($stormname eq "fifteen")
    {
      $depression=1;
      $deprnum=15;
    }
    if($stormname eq "sixteen")
    {
      $depression=1;
      $deprnum=16;
    }
    if($stormname eq "seventeen")
    {
      $depression=1;
      $deprnum=17;
    }
    if($stormname eq "eighteen")
    {
      $depression=1;
      $deprnum=18;
    }
    if($stormname eq "nineteen")
    {
      $depression=1;
      $deprnum=19;
    }
    if($stormname eq "twenty")
    {
      $depression=1;
      $deprnum=20;
    }
    if($stormname eq "twenty-on")
    {
      $depression=1;
      $deprnum=21;
    }
    if($stormname eq "twenty-tw")
    {
      $depression=1;
      $deprnum=22;
    }
    if($stormname eq "twenty-th")
    {
      $depression=1;
      $deprnum=23;
    }
    if($stormname eq "twenty-fo")
    {
      $depression=1;
      $deprnum=24;
    }
    if($stormname eq "twenty-fi")
    {
      $depression=1;
      $deprnum=25;
    }
    if($stormname eq "twenty-si")
    {
      $depression=1;
      $deprnum=26;
    }
    if($stormname eq "twenty-se")
    {
      $depression=1;
      $deprnum=27;
    }
    if($stormname eq "twenty-ei")
    {
      $depression=1;
      $deprnum=28;
    }
    if($stormname eq "twenty-ni")
    {
      $depression=1;
      $deprnum=29;
    }
    if($stormname eq "thirty")
    {
      $depression=1;
      $deprnum=30;
    }
    if($stormname eq "thirty-on")
    {
      $depression=1;
      $deprnum=31;
    }
    if($stormname eq "thirty-tw")
    {
      $depression=1;
      $deprnum=32;
    }
    if($stormname eq "thirty-th")
    {
      $depression=1;
      $deprnum=33;
    }
    if($stormname eq "thirty-fo")
    {
      $depression=1;
      $deprnum=34;
    }
    if($stormname eq "thirty-fi")
    {
      $depression=1;
      $deprnum=35;
    }
    $stormyear=substr($_,24,4);
    $fileloc="http://www.wpc.ncep.noaa.gov/tropical/rain/".$stormname.$stormyear."filledrainblk.gif";
    $checkloc="$GRPHGD/cliqr_new/raingifs/".$stormname.$stormyear."filledrainblk.gif";

    #################################################################################
    ## NOTE: This code does not handle eastern pacific images. As of 7/24/08, there was
    ## only one EPAC TD, hence only one system would currently be missed by this. In the
    ## future, this may need to be adressed as the number of images expands.
    ## ---Functionality added 07/13/09
    #################################################################################
    ## If it's a depression, set up the file name as shown below, depending on whether
    ## or not a leading zero needs to be added.
    #################################################################################
    if($depression==1)
    {
      if((substr($_,1,1) eq "P")) {
        if($deprnum<10) {
          $fileloc="http://www.wpc.ncep.noaa.gov/tropical/rain/td0".$deprnum."aof".$stormyear."filledrainblk.gif";
          $checkloc="$GRPHGD/cliqr_new/raingifs/td0".$deprnum."aof".$stormyear."filledrainblk.gif";
        } else {
          $fileloc="http://www.wpc.ncep.noaa.gov/tropical/rain/td".$deprnum."aof".$stormyear."filledrainblk.gif";
          $checkloc="$GRPHGD/cliqr_new/raingifs/td".$deprnum."aof".$stormyear."filledrainblk.gif";
        }
     } else {
        if($deprnum<10) {
          $fileloc="http://www.wpc.ncep.noaa.gov/tropical/rain/td0".$deprnum."aof".$stormyear."filledrainblk.gif";
          $checkloc="$GRPHGD/cliqr_new/raingifs/td0".$deprnum."aof".$stormyear."filledrainblk.gif";
        } else {
          $fileloc="http://www.wpc.ncep.noaa.gov/tropical/rain/td".$deprnum."aof".$stormyear."filledrainblk.gif";
          $checkloc="$GRPHGD/cliqr_new/raingifs/td".$deprnum."aof".$stormyear."filledrainblk.gif";
        }
      }
    } 
    #################################################################################
    ## Print either the file name or the "no graphic" text depending on whether or not
    ## the created file name actually exists.
    #################################################################################
    print $fileloc."\n";
    print OUT "$wholestormname $stormyear ";
    if (-e $checkloc)
    {
      print OUT $fileloc."\n";
    } else {
      print OUT "http://www.wpc.ncep.noaa.gov/tropical/rain/nographic.gif"."\n";
    }
  }
}

close LIS;
close OUT;

## A handy trim subroutine that can be ported as needed, found online, works well.
sub trim($)
{
	my $string = shift;
	$string =~ s/^\s+//;
	$string =~ s/\s+$//;
	return $string;
}
